> For the complete documentation index, see [llms.txt](https://docs.cotter.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cotter.app/sdk-reference/android/sign-in-with-device/check-if-trusted-device-is-enrolled.md).

# Check if Trusted Device is Enrolled

There are 3 methods that you can use to check about Trusted Device enrollment:

1. Check if this device is a Trusted Device
2. Check if this account has any Trusted Device
3. Check if Trusted Device is the default method of authentication for this account

## Check if this device is a Trusted Device

```java
Cotter.methods.trustedDeviceEnrolled(new CotterMethodChecker() {
    @Override
    public void onCheck(boolean enrolled) {
        thisDeviceEnrolled.setText("TrustedDevice enrolled this device: " + enrolled);
    }
});
```

## �Check if this account has any Trusted Device

```java
Cotter.methods.trustedDeviceEnrolledAny(new CotterMethodChecker() {
    @Override
    public void onCheck(boolean enrolled) {
        anyDeviceEnrolled.setText("TrustedDevice enrolled any device: " + enrolled);
    }
});
```

## �Check if Trusted Device is the default method

```java
Cotter.methods.trustedDeviceDefault(new CotterMethodChecker() {
    @Override
    public void onCheck(boolean defaultMethod) {
        trustedDeviceDefault.setText("TrustedDevice default: " + defaultMethod);
    }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cotter.app/sdk-reference/android/sign-in-with-device/check-if-trusted-device-is-enrolled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
